## etbemon 1.3.3-3

=== bin/Makefile ===
ALLPROGS=btrfs.helper

all: $(ALLPROGS)

# use -Wno-write-strings to make it easy to deal with exec() taking pointers
# to non-const data
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wcast-qual -pedantic -Wno-write-strings
CC=g++ -O2 -g $(WFLAGS)

%: %.cpp
	$(CC) $< -o $@

clean: 
	rm $(ALLPROGS)

## etbemon 1.3.3-2

=== debian/changelog ===
etbemon (1.3.3-2) unstable; urgency=medium

  * Don't abort mon.cgi when $ONDS{$group} is invalid
  * Removed defined() around hash and array checks not supported in recent perl
  * Check Received: headers for long delays and clock skew in imapnew.monitor

 -- Russell Coker <russell@coker.com.au>  Wed, 11 Jul 2018 01:40:04 +1000

etbemon (1.3.3-1) unstable; urgency=medium

  * Added SNI support to sslcert.monitor.
  * New upstream version because the previous 2 Debian releases have enough
    changes to make it worthwhile.

 -- Russell Coker <russell@coker.com.au>  Wed, 16 May 2018 16:16:54 +1000

etbemon (1.3.2-3) unstable; urgency=medium

  * Make smtpswaks.monitor use long form swaks arguments for ease of searching
    the man page
  * Made mailxmpp.alert set a CPU time limit

 -- Russell Coker <russell@coker.com.au>  Mon, 01 Jan 2018 15:25:22 +1100

etbemon (1.3.2-2) unstable; urgency=medium

  * Conflict with mon-contrib (<= 1.0+dfsg-3+nmu1), Closes: #876088
  * Use dh_installsystemd to comply with latest debhelper, Closes: #878850
  * Recommends libtimedate-perl for imap test
  * Added support for authentication to smtpswaks.monitorm, for relay tests.

 -- Russell Coker <russell@coker.com.au>  Thu, 07 Dec 2017 01:57:42 +1100

etbemon (1.3.2-1) unstable; urgency=medium

  * Made http.monitor use strict and made it not give an error if the server
    doesn't close the connection after sending the data.
  * Made dns.monitor give a more detailed summary.
  * Made zfs.monitor give a summary of the error count when it's deemed to be
    OK.
  * Rename softraid2.monitor to softraid.monitor
  * Make freespace.monitor check for Inodes free if filesystem supports it
    and recommend libfilesys-df-perl which it now uses.
  * Remove all configuration options from /etc/default/mon for Debian and put
    them in the sample mon.cf file.
  * Moved sample configuration files out of the debian directory for the
    benefit of other distributions.
  * Added new systemd subdirectory for systemd config files
  * Added systemd service file and use debhelper compat level 11 to get
    automatic dh_systemd stuff
  * Rewrote sslcert.monitor in perl and made it give better messages and also
    status on no error.
  * Made loadavg.monitor not display D status heading if there are no D state
    processes, only display the first 120 characters of the process details,
    and not display processes using less than 5% CPU.
  * Made mailxmpp.alert use TLS for XMPP

 -- Russell Coker <russell@coker.com.au>  Sun, 17 Sep 2017 16:19:34 +1000

etbemon (1.3.1-1) unstable; urgency=medium

  * Fixed up the hack for freespace.monitor.
  * Stop using quilt as upstream will be identical to Debian in almost all
    cases.
  * Made remote.monitor correctly report an error on connect timeout
    Closes: #870239
    Made the exclude option on remote.monitor work correctly
  * Made loadavg.monitor correctly sort by CPU time and ignore 0.0% and ps
    header Closes: #870238
  * Removed the hack for freespace.monitor
  * Changed the summary-len in monshow to 80, as we already line wrap on a
    80 column terminal might as well go big
  * Made the password option in msql-mysql.monitor read from a file if the
    first character is /

 -- Russell Coker <russell@coker.com.au>  Thu, 10 Aug 2017 10:42:03 +1000

etbemon (1.3.0-1) unstable; urgency=medium

  * Forked upstream and renamed it to etbemon

 -- Russell Coker <russell@coker.com.au>  Tue, 25 Jul 2017 22:37:33 +1000

mon (1.2.0-12) unstable; urgency=medium

  * Made btrfs and zfs checks accept low and high numbers for error counts.
  * Add softraid2.monitor which doesn't use diff, has no problems with drive
    ordering, and allows specifying which arrays must exist.

 -- Russell Coker <russell@coker.com.au>  Wed, 12 Jul 2017 23:15:01 +1000

mon (1.2.0-11) unstable; urgency=medium

  * Make zfs.monitor and btrfs.monitor alert when you forget to fix the okcount
    after fixing an error.
  * Made loadavg.monitor correctly sort the CPU time and send a sort error to
    /dev/null
  * Tweaked the output of imapnew.monitor
  * Made the remote.monitor have better debugging and put it in a separate
    patch, also added --exclude option
  * Use /run instead of /var/run
  * Recommend swaks for smtpswaks.monitor
  * Recommend libcgi-pm-perl for monshow
  * Recommend bc for sslcert.monitor
  * Recommend libproc-processtable-perl for ps.monitor

 -- Russell Coker <russell@coker.com.au>  Sun, 18 Jun 2017 18:52:20 +1000

mon (1.2.0-10) unstable; urgency=medium

  * Change to team maintainership.
  * Make loadavg.monitor report on D state processes and processes using the
    most CPU.
  * Added imapnew.monitor to check for new messages via IMAP and recommends
    libmail-imapclient-perl for it.

 -- Russell Coker <russell@coker.com.au>  Tue, 23 May 2017 18:46:51 +1000

mon (1.2.0-9+nmu4) unstable; urgency=medium

  * Use the correct name for the tmpfiles.d file  Closes: #851354

 -- Russell Coker <russell@coker.com.au>  Mon, 16 Jan 2017 12:16:21 +1100

mon (1.2.0-9+nmu3) unstable; urgency=medium

  * Add sslcert.monitor to check certificate expiry and smtpswaks.monitor to
    check mail servers with swaks

 -- Russell Coker <russell@coker.com.au>  Wed, 21 Dec 2016 21:08:11 +1100

mon (1.2.0-9+nmu2) unstable; urgency=medium

  * Move freespace.monitor to local directory.

 -- Russell Coker <russell@coker.com.au>  Wed, 21 Dec 2016 20:47:11 +1100

mon (1.2.0-9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make default config bind to 127.0.0.1  Closes: #820712
  * Add restorecon and tmpfiles.d file     Closes: #822606
  * Don't specify config options on both the default command-line and the
    default configuration file  Closes: #821360
  * Move local monitor scripts to /usr/lib/mon/mon-local.d to separate them
    from network checks  Closes: #847437
  * Added remote.monitor to this package and made it strict. Closes: #847441
    Fixed the problems with it Closes: #824176


=== debian/control ===
Source: etbemon
Section: admin
Priority: extra
Maintainer: Debian Mon Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
Uploaders: Dario Minnucci <midget@debian.org>,
 Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 9), perl, libtime-period-perl
Standards-Version: 3.9.6
Homepage: https://mon.wiki.kernel.org
Vcs-Git: git://anonscm.debian.org/collab-maint/mon.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mon.git

Package: mon
Architecture: any
Depends: mon-client (>= 1.2.0), libtime-period-perl, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: fping, libauthen-pam-perl, libfilesys-df-perl, libnet-perl, libnet-dns-perl, libnet-ldap-perl, libnet-telnet-perl, libsnmp-perl, libstatistics-descriptive-perl, libtime-parsedate-perl, libcrypt-ssleay-perl, libmail-imapclient-perl, libtimedate-perl, swaks, libcgi-pm-perl, bc, libproc-processtable-perl
Suggests: mon-contrib
Conflicts: mon-contrib (<= 1.0+dfsg-3+nmu1)
Description: monitor hosts/services/whatever and alert about problems
 "mon" is a tool for monitoring the availability of services.  Services
 may be network-related, environmental conditions, or anything that can
 be tested with software.  If a service is unavailable mon can tell you
 with syslog, email, your pager or a script of your choice.  You can
 control who gets each alert based on the time of day or day of week,
 and you can control how often an existing problem is re-alerted.
 .
 More information can be found at http://mon.wiki.kernel.org

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	cd mon.d && $(MAKE) clean && cd $(CURDIR)

override_dh_auto_build:
	dh_auto_build
	cd mon.d && $(MAKE) CFLAGS="$(CFLAGS)" && cd $(CURDIR)

override_dh_install:
	dh_install
	dh_installdocs
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/alert.d/*.alert
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/mon.d/*.monitor
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/mon-local.d/*.monitor
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/bin/*
	dh_installsystemd

override_dh_installman:
	dh_installman clients/skymon/skymon.1 doc/mon.8 doc/moncmd.1 doc/monshow.1 doc/monfailures.1

## etbemon 1.3.3-3

=== debian/changelog ===
etbemon (1.3.3-3) unstable; urgency=medium

  * Make btrfs.monitor check for subvols and also use a SETUID helper instead
    of sudo

 -- Russell Coker <russell@coker.com.au>  Mon, 23 Jul 2018 15:24:34 +1000

## etbemon 1.3.4

=== bin/Makefile ===
ALLPROGS=btrfs.helper zfs.helper

all: $(ALLPROGS)

# use -Wno-write-strings to make it easy to deal with exec() taking pointers
# to non-const data
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wcast-qual -pedantic -Wno-write-strings
CC=gcc -O2 -g $(WFLAGS)

%: %.cpp
	$(CC) $< -o $@

clean: 
	rm -f $(ALLPROGS)

=== mon.d/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2004/06/09 05:18:05 trockij Exp $
#
# compiles on Linux, Solaris 2.5, Solaris 2.6, and AIX Version 4.2
#
CC = gcc
CFLAGS = `dpkg-buildflags --get CFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
LDLIBS =
# uncomment next line for Solaris
# LDLIBS = -lnsl -lsocket

CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

MONPATH=/usr/lib/mon
DIALIN_MONITOR_REAL=$(MONPATH)/mon.d/dialin.monitor

PROGS = rpc.monitor dialin.monitor.wrap

all: $(PROGS)

rpc.monitor: rpc.monitor.c
	$(CC) -o rpc.monitor $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) rpc.monitor.c $(LDLIBS)

dialin.monitor.wrap: dialin.monitor.wrap.c
	$(CC) -o dialin.monitor.wrap $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
		-DREAL_DIALIN_MONITOR=\"$(DIALIN_MONITOR_REAL)\" \
		dialin.monitor.wrap.c

clean:
	rm -f $(PROGS)

install:
	install -d $(MONPATH)/mon.d
	install rpc.monitor $(MONPATH)/mon.d/
	install -g uucp -m 02555 dialin.monitor.wrap $(MONPATH)/mon.d/

## etbemon 1.3.5

=== bin/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ALLPROGS=btrfs.helper zfs.helper
+ALLPROGS=btrfs.helper zfs.helper smartctl.helper
 
 all: $(ALLPROGS)

## etbemon 1.3.6-2

=== debian/changelog ===
etbemon (1.3.6-2) unstable; urgency=medium

  * Removed the ignore option from linux-temp.monitor because it didn't work
    properly and made it correctly log the section.
  * Removed debugging code from hplog.helper.cpp that I accidentally released
    in 1.3.6.

 -- Russell Coker <russell@coker.com.au>  Fri, 18 Feb 2022 14:05:10 +1100

etbemon (1.3.6-1) unstable; urgency=medium

  * Made sslcert.monitor give better logging for a name with multiple IPs
  * Made hp-temp.monitor work properly and give better error messages
  * Add dell-temp.monitor for Dell servers
  * Add -x option to ps.monitor to show what perl thinks the process name is

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Jan 2022 09:21:17 +1100

etbemon (1.3.5-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Aurelien Jarno to fix FTBFS with glibc 2.32.
    (Closes: #992896, #997898)

 -- Adrian Bunk <bunk@debian.org>  Thu, 09 Dec 2021 20:05:25 +0200

etbemon (1.3.5-8) unstable; urgency=medium

  * Add selinux.monitor, currently checks for permissive mode and processes
    in initrc_t.

 -- Russell Coker <russell@coker.com.au>  Mon, 08 Nov 2021 13:26:44 +1100

etbemon (1.3.5-7) unstable; urgency=medium

  * Suggests libdbd-mysql-perl for msql-mysql.monitor.
  * Uncommented the line in hp-temp.monitor that does the real work.
 -- Russell Coker <russell@coker.com.au>  Tue, 24 Aug 2021 16:49:29 +1000

etbemon (1.3.5-6) unstable; urgency=medium

  * Better fix for headers in imapnew.monitor that doesn't need
    libhash-case-perl.
  * Added hp-temp.monitor to use /sbin/hplog to monitor HP server temperature
  * Added -M option to smartctl.monitor for MegaRAID AKA PERC support and
    added support for NVMe devices

 -- Russell Coker <russell@coker.com.au>  Mon, 07 Jun 2021 16:34:01 +1000

etbemon (1.3.5-5) unstable; urgency=medium

  * Make the deleted-mapped check avoid perl privsep processes, don't want
    to force users to logout to pass the check
  * Made imapnew.monitor give a correct error when a message has no Message-Id
    also made it do case-insensitive checks on header field names.  Now
    recommends libhash-case-perl as imapnew.monitor depends on it.

 -- Russell Coker <russell@coker.com.au>  Mon, 05 Apr 2021 18:28:52 +1000

etbemon (1.3.5-4) unstable; urgency=medium

  * Make deleted-mapped.monitor skip programs starting with /lib/systemd/system.
    Add -u option to specify maximum UID to check, default 999.

 -- Russell Coker <russell@coker.com.au>  Mon, 22 Feb 2021 16:18:05 +1100

etbemon (1.3.5-3) unstable; urgency=medium

  * Support "python3" and "python3.9" as interpreters for ps.monitor.
  * Don't warn from deleted-mapped.monitor.real when process exits before
    we can open the map file.

 -- Russell Coker <russell@coker.com.au>  Tue, 19 Jan 2021 18:04:35 +1100

etbemon (1.3.5-2) unstable; urgency=medium

  * Update loadavg.monitor to display PSI cgroup2 data to show which cgroups
    are responsible for high load average.

 -- Russell Coker <russell@coker.com.au>  Wed, 06 Jan 2021 08:52:30 +1100

etbemon (1.3.5-1) unstable; urgency=medium

  * Add smartctl.monitor to run smartctl and parse it's output.
  * New minor version for new test and the other small changes.

 -- Russell Coker <russell@coker.com.au>  Sun, 20 Dec 2020 11:10:47 +1100

etbemon (1.3.4-5) unstable; urgency=medium

  * Make sslcert test deal with hosts that lack an IPv6 or an IPv4 record.

 -- Russell Coker <russell@coker.com.au>  Fri, 11 Dec 2020 11:30:34 +1100

etbemon (1.3.4-4) unstable; urgency=medium

  * Made freespace.monitor check for filesystem that wasn't mounted, recommend
    libsys-filesystem-perl for this.
  * Made sslcert.monitor check all A and AAAA records for a name by default.
    Added -4 option for IPv4 only.

 -- Russell Coker <russell@coker.com.au>  Thu, 10 Dec 2020 22:41:58 +1100

etbemon (1.3.4-3) unstable; urgency=medium

  * Made linux-temp.monitor send stderr of /usr/bin/sensors to /dev/null.
  * Made ps.monitor give more detail

 -- Russell Coker <russell@coker.com.au>  Thu, 21 May 2020 11:58:42 +1000

etbemon (1.3.4-2) unstable; urgency=medium

  * Update comments in deleted-mapped.monitor.real
  * Change VCS dirs in control
  * Change smtpswaks.monitor to have a space between "-S" and "2" as the latest
    version of swaks requires.

 -- Russell Coker <russell@coker.com.au>  Sun, 05 Apr 2020 09:39:09 +1000

etbemon (1.3.4-1) unstable; urgency=medium

  * Added monitor for deleted mapped files for detecting upgraded shared
    objects
  * Change Standards version to 4.3.0

 -- Russell Coker <russell@coker.com.au>  Sun, 02 Feb 2020 18:13:30 +1100

etbemon (1.3.3-6) unstable; urgency=medium

  * Add SUID helper for zfs and for deleted-mapped.monitor
  * Made deleted-mapped.monitor ignore /dev/zero as memory mapped usage
    routinely reports that as deleted.

 -- Russell Coker <russell@coker.com.au>  Mon, 06 Jan 2020 19:59:16 +1100

etbemon (1.3.3-5) unstable; urgency=medium

  * Made loadavg.monitor check swap space and made the output nicer.
  * Made linux-temp.monitor display processes with top CPU use and give better
    summary.
  * Give better log errors from mon on userfile auth failures.
  * Added password authentication support to remote.monitor
  * Added deleted-mapped.monitor that checks for files that are memory mapped
    but have been deleted, experimental and may get false positives.  Designed
    to deal with security updates to shared objects that are in use.

 -- Russell Coker <russell@coker.com.au>  Mon, 06 Jan 2020 17:04:00 +1100

etbemon (1.3.3-4) unstable; urgency=medium

  * Make dns.monitor correctly display a summary when multiple queries are used
  * Stop loadavg.monitor from saying "Text read from file"
  * Make ps.monitor also check for lua5.2
  * Link btrfs.helper with gcc instead of g++ to reduce dependencies.
  * Better comments in auth.cf and README.traps
  * Better logging of trap password issues
  * Fixed a username bug in trap.alert


=== debian/control ===
Source: etbemon
Section: admin
Priority: optional
Maintainer: Debian Mon Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
Uploaders: Dario Minnucci <midget@debian.org>,
 Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 11), perl, libtime-period-perl, libtirpc-dev
Standards-Version: 4.3.0
Homepage: https://doc.coker.com.au/projects/etbe-mon/
Vcs-Git: https://salsa.debian.org/etbe/etbemon.git
Vcs-Browser: https://salsa.debian.org/etbe/etbemon

Package: mon
Architecture: any
Depends: mon-client (>= 1.2.0), libtime-period-perl, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: fping, libauthen-pam-perl, libfilesys-df-perl, libnet-perl, libnet-dns-perl, libnet-ldap-perl, libnet-telnet-perl, libsnmp-perl, libstatistics-descriptive-perl, libtime-parsedate-perl, libcrypt-ssleay-perl, libmail-imapclient-perl, libtimedate-perl, swaks, libcgi-pm-perl, bc, libproc-processtable-perl, libsys-filesystem-perl
Suggests: mon-contrib, libdbd-mysql-perl
Conflicts: mon-contrib (<= 1.0+dfsg-3+nmu1)
Description: monitor hosts/services/whatever and alert about problems
 "mon" is a tool for monitoring the availability of services.  Services
 may be network-related, environmental conditions, or anything that can
 be tested with software.  If a service is unavailable mon can tell you
 with syslog, email, your pager or a script of your choice.  You can
 control who gets each alert based on the time of day or day of week,
 and you can control how often an existing problem is re-alerted.
 .
 More information can be found at http://mon.wiki.kernel.org

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,15 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	cd mon.d && $(MAKE) clean && cd $(CURDIR)
+	$(MAKE) -C mon.d clean
+	$(MAKE) -C mon-local.d clean
+	$(MAKE) -C bin clean
 
 override_dh_auto_build:
 	dh_auto_build
-	cd mon.d && $(MAKE) CFLAGS="$(CFLAGS)" && cd $(CURDIR)
+	$(MAKE) -C mon.d CFLAGS="$(CFLAGS)" && cd $(CURDIR)
+	$(MAKE) -C mon-local.d CFLAGS="$(CFLAGS)"
+	$(MAKE) -C bin CFLAGS="$(CFLAGS)" && cd $(CURDIR)
 
 override_dh_install:
 	dh_install

## etbemon 1.3.6-3

=== debian/changelog ===
etbemon (1.3.6-3) unstable; urgency=medium

  * dell-temp.monitor checks for Error from omreport
  * Ignore sudo in the deleted-mapped checks

 -- Russell Coker <russell@coker.com.au>  Fri, 03 Jun 2022 10:45:31 +1000

## etbemon 1.3.6-4

=== debian/changelog ===
etbemon (1.3.6-4) unstable; urgency=medium

  * Make smartctl.monitor show the amount of data written, the device running
    time, and the percentage of use for SSDs

 -- Russell Coker <russell@coker.com.au>  Sat, 25 Feb 2023 19:26:25 +1100

## etbemon 1.3.8

=== mon.d/Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 CC = gcc
 CFLAGS = `dpkg-buildflags --get CFLAGS`
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-LDLIBS =
+INCFLAGS = -I/usr/include/tirpc
+LDLIBS = -ltirpc
 # uncomment next line for Solaris
 # LDLIBS = -lnsl -lsocket
 
@@ -20,7 +21,7 @@
 all: $(PROGS)
 
 rpc.monitor: rpc.monitor.c
-	$(CC) -o rpc.monitor $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) rpc.monitor.c $(LDLIBS)
+	$(CC) -o rpc.monitor $(CFLAGS) $(CPPFLAGS) $(INCFLAGS) $(LDFLAGS) rpc.monitor.c $(LDLIBS)
 
 dialin.monitor.wrap: dialin.monitor.wrap.c
 	$(CC) -o dialin.monitor.wrap $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \

=== debian/changelog ===
etbemon (1.3.8-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:43 +1100

etbemon (1.3.8-1build2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 00:09:34 +0000

etbemon (1.3.8-1build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:22:44 +0000

etbemon (1.3.8-1) unstable; urgency=medium

  * Made loadavg.monitor check for Dirty memory (Linux kernel write back cache)
  * Add comment to freespace.monitor about needing libsys-filesystem-perl
  * Made sslcert.monitor support X509v3 Subject Alternative Name and wildcard DNS

 -- Russell Coker <russell@coker.com.au>  Sat, 23 Dec 2023 13:15:03 +1100

etbemon (1.3.7-1) unstable; urgency=medium

  * Made sslcert.monitor not give duplicate results for multiple A records
  * Added xmpp.monitor to test basic xmpp DNS and connectivity
    Thanks Martin Dosch for the idea
  * Make deleted-mapped.monitor ignore /var/log/journal for systemd bug
  * Make btrfs check give an error if 0 errors and minimum error count >0
  * Changed the ps.monitor check to handle lua5.4 interpreter
  * Change Debian source format to 3.0 quilt
  * New version release to fix Debian upload problem
  * Made freespace.monitor show output in MiB as well as GiB

 -- Russell Coker <russell@coker.com.au>  Sun, 26 Mar 2023 13:07:52 +1100

etbemon (1.3.6-5) unstable; urgency=medium

  * Make mailxmpp.alert use go-sendxmpp instead of sendxmpp

 -- Russell Coker <russell@coker.com.au>  Mon, 13 Mar 2023 18:17:06 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: etbemon
 Section: admin
 Priority: optional
-Maintainer: Debian Mon Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Mon Maintainers <pkg-monitoring-maintainers@lists.alioth.debian.org>
 Uploaders: Dario Minnucci <midget@debian.org>,
  Russell Coker <russell@coker.com.au>
 Build-Depends: debhelper (>= 11), perl, libtime-period-perl, libtirpc-dev
@@ -14,7 +15,7 @@
 Architecture: any
 Depends: mon-client (>= 1.2.0), libtime-period-perl, adduser, ${shlibs:Depends}, ${misc:Depends}
 Recommends: fping, libauthen-pam-perl, libfilesys-df-perl, libnet-perl, libnet-dns-perl, libnet-ldap-perl, libnet-telnet-perl, libsnmp-perl, libstatistics-descriptive-perl, libtime-parsedate-perl, libcrypt-ssleay-perl, libmail-imapclient-perl, libtimedate-perl, swaks, libcgi-pm-perl, bc, libproc-processtable-perl, libsys-filesystem-perl
-Suggests: mon-contrib, libdbd-mysql-perl
+Suggests: mon-contrib, libdbd-mysql-perl, go-sendxmpp, xmpp-dns
 Conflicts: mon-contrib (<= 1.0+dfsg-3+nmu1)
 Description: monitor hosts/services/whatever and alert about problems
  "mon" is a tool for monitoring the availability of services.  Services

## etbemon 1.4.0

=== debian/changelog ===
etbemon (1.4.0-1) unstable; urgency=medium

  * Add systemd security features to the service file

 -- Russell Coker <russell@coker.com.au>  Wed, 24 Jul 2024 18:19:55 +1000

## etbemon 1.4.1

=== debian/changelog ===
etbemon (1.4.1-2) unstable; urgency=medium

  * Fixed a font error in mon.8
  * Removed the /etc/default/mon ENABLED setting
  * Removed obsolete url in copyright
  * Removed national encoding (high ASCII) in README.Debian and
    README.syslog.monitor
  * Pre-depend on adduser Closes: #1104576
  * Made local-syslog.monitor fail when it can't open log file Closes: #787766
  * Made http_tppnp.monitor use /var/lib/mon instead of /tmp Closes: #824979
  * Removed old FSF postal address from copyright

 -- Russell Coker <russell@coker.com.au>  Sun, 25 May 2025 15:57:51 +1000

etbemon (1.4.1-1) unstable; urgency=medium

  * Added extra capabilities in systemd to match what SE Linux allows for local
    tests, fixes a bug in smart tests
  * Moved service file to /usr/lib/systemd/system Closes: #1073696
  * Changed &hostname; to hostname();  Closes: #932858
  * Made imap.monitor allow specifying user/pass, support ssl, and use strict
    Thanks for the patches Dennis Boone.  Closes: #664016
  * Made mail.alert use ISO date format thanks Jari Aalto.  Also use strict.
    Closes: #551730
    Same for mailxmpp.alert and mailxmpp.alert
  * Changes to mon.8 from Jari Aalto  Closes: #551731

 -- Russell Coker <russell@coker.com.au>  Tue, 03 Sep 2024 22:00:45 +1000

## etbemon 1.4.2

=== bin/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ALLPROGS=btrfs.helper zfs.helper smartctl.helper
+ALLPROGS=btrfs.helper zfs.helper smartctl.helper hplog.helper
 
 all: $(ALLPROGS)

=== mon-local.d/Makefile ===
ALLPROGS=deleted-mapped.monitor

all: $(ALLPROGS)

# use -Wno-write-strings to make it easy to deal with exec() taking pointers
# to non-const data
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wcast-align -Wcast-qual -pedantic -Wno-write-strings
CC=gcc -O2 -g $(WFLAGS)

%: %.cpp
	$(CC) $< -o $@

clean: 
	rm -f $(ALLPROGS)

=== mon.d/Makefile ===
--- 
+++ 
@@ -20,13 +20,13 @@
 
 all: $(PROGS)
 
-rpc.monitor: rpc.monitor.c
-	$(CC) -o rpc.monitor $(CFLAGS) $(CPPFLAGS) $(INCFLAGS) $(LDFLAGS) rpc.monitor.c $(LDLIBS)
+rpc.monitor: rpc.monitor.cpp
+	$(CC) -o rpc.monitor $(CFLAGS) $(CPPFLAGS) $(INCFLAGS) $(LDFLAGS) rpc.monitor.cpp $(LDLIBS)
 
-dialin.monitor.wrap: dialin.monitor.wrap.c
+dialin.monitor.wrap: dialin.monitor.wrap.cpp
 	$(CC) -o dialin.monitor.wrap $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) \
 		-DREAL_DIALIN_MONITOR=\"$(DIALIN_MONITOR_REAL)\" \
-		dialin.monitor.wrap.c
+		dialin.monitor.wrap.cpp
 
 clean:
 	rm -f $(PROGS)
